qemu-devel
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [Qemu-devel] [PATCH v3 6/6] qemu-iotests: Additional info from qemu-


From: Max Reitz
Subject: Re: [Qemu-devel] [PATCH v3 6/6] qemu-iotests: Additional info from qemu-img info
Date: Wed, 11 Sep 2013 09:52:25 +0200
User-agent: Mozilla/5.0 (X11; Linux x86_64; rv:17.0) Gecko/20130805 Thunderbird/17.0.8

On 2013-09-11 09:44, Fam Zheng wrote:
On Wed, 09/11 09:26, Max Reitz wrote:
On 2013-09-11 08:23, Fam Zheng wrote:
On Tue, 09/10 11:33, Max Reitz wrote:
Add a test for the additional information now provided by qemu-img info
when used on qcow2 images.

Signed-off-by: Max Reitz <address@hidden>
---
  tests/qemu-iotests/064     | 72 ++++++++++++++++++++++++++++++++++++++++++++++
  tests/qemu-iotests/064.out | 22 ++++++++++++++
  tests/qemu-iotests/group   |  1 +
  3 files changed, 95 insertions(+)
  create mode 100755 tests/qemu-iotests/064
  create mode 100644 tests/qemu-iotests/064.out

diff --git a/tests/qemu-iotests/064 b/tests/qemu-iotests/064
new file mode 100755
index 0000000..4979db5
--- /dev/null
+++ b/tests/qemu-iotests/064
@@ -0,0 +1,72 @@
+#!/bin/bash
+#
+# Test for additional information emitted by qemu-img info on qcow2
+# images
+#
+# Copyright (C) 2013 Red Hat, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+
+# creator
address@hidden
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=1       # failure is the default!
+
+_cleanup()
+{
+       _cleanup_test_img
+}
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+# get standard environment, filters and checks
+. ./common.rc
+. ./common.filter
+
+# This tests qocw2-specific low-level functionality
+_supported_fmt qcow2
+_supported_proto generic
+_supported_os Linux
+
+IMG_SIZE=64M
+
+echo
+echo "=== Testing qcow2 image with -o compat=0.10 ==="
+echo
+IMGOPTS="compat=0.10" _make_test_img $IMG_SIZE
+# don't use _img_info, since that function will filter out the
+# additional information we're about to test for
+$QEMU_IMG info "$TEST_IMG" | grep "Format specific information:" -A 42
For curiosity, where's 42 from?
I want to read all format specific information there, and because
this is the last information emitted by qemu_img -info, I have to
grep everything after the line "Format specific information:" until
EOF – I didn't find an easy way to do this, so I just chose a number
of lines which seemed enough to fetch all of that format specific
info (currently, 2 would suffice).

Maybe
     $QEMU_IMG info "$TEST_IMG" | sed -n 'Format specific information:/,$ p'
?

Fam
Hm, yes, with a slash up front ('/Format specific information:/,$p') it works, I'll use that, then. Thanks.

Max



reply via email to

[Prev in Thread] Current Thread [Next in Thread]